//
// Verilog HDL sample 1
//
module main(PB, LED);
	input [1:0] PB;		// Two push buttons. Negative logic.
	output [7:0] LED;	// Eight LEDs. Negative logic.

	wire in_A, in_B;
	reg [1:0] out;
	wire out_s, out_c;

	assign LED[0] = PB[0];	// PB[0] to LED[0]
	assign LED[1] = PB[1];	// PB[1] to LED[1]

	assign in_A = ~ PB[0]; // Positive logic
	assign in_B = ~ PB[1]; // Positive logic

	always @(in_A, in_B) begin
		case ({in_A, in_B})
			2'b00: out = 2'b00;
			2'b01: out = 2'b01;
			2'b10: out = 2'b01;
			2'b11: out = 2'b10;
		endcase
	end

	assign {out_c, out_s} = out;
	assign LED[6] = ~ out_s;
	assign LED[7] = ~ out_c;
	assign LED[5:2] = 4'b1111;	// To turn other LEDs off
endmodule
